# Variables give

An action block that gives variable values to another fiber. This block in combination with a Variables take are used for communication between fibers in a concurrency safe way.

The fiber will proceed immediately without pause.

The taker block acts like a FIFO queue with a capacity of 128 variable value sets, when full the current (giver) fiber will fail. If the taker fiber has stopped this block does nothing.

The Fiber URI used as taker fiber URI is an output of the Flow beginning, Flow start, Fork or Variables take block.

## Options

- Taker block — the receiving Variables take block.

## Input arguments

- Taker fiber URI — URI of the “taking” fiber, i.e. waiting at an Variables take block.

## Given variables

The included variables, of which the values are given to the taker. Added or removed variables are mirrored in the taker block, and any other givers associated with it.